@ECHO OFF
@BREAK ON
CLS
IF %ULTRASND%!==! GOTO NOCARD
GOTO START
:NOCARD
ECHO Unable to locate your UltraSound environment variable (ULTRASND).
ECHO ˙
GOTO DONE
:START
ECHO ˙
ECHO -- Note to users with less than 1Mb of UltraSound Memory --
ECHO ˙
ECHO ˙The following MIDI files are intended for those users who
ECHO ˙have at least 1Mb of RAM on their UltraSound card. If you
ECHO ˙run this demo with less memory, certain instruments will be
ECHO ˙dropped and/or the patches will be loaded as 8-bit.
ECHO ˙
PAUSE
@ECHO Loading "Chris 6"
@ECHO Press any key to advance to next song, or CTRL+C to exit.
PLAYMIDI %ULTRADIR%\MIDI\chris6.mid -logv -x21
@if errorlevel 99 goto done
@ECHO Loading "Hide 'n' Seek"
@ECHO Press any key to advance to next song, or CTRL+C to exit.
PLAYMIDI %ULTRADIR%\MIDI\hidnseek -x22
@if errorlevel 99 goto done
@ECHO Loading "Striving"
@ECHO Press any key to advance to next song, or CTRL+C to exit.
PLAYMIDI %ULTRADIR%\MIDI\striving
@if errorlevel 99 goto done
@ECHO Loading "Techno 78"
@ECHO Press any key to advance to next song, or CTRL+C to exit.
PLAYMIDI %ULTRADIR%\MIDI\techno78 -x24
@if errorlevel 99 goto done
@ECHO Loading "A Bridge"
@ECHO Press any key to advance to next song, or CTRL+C to exit.
PLAYMIDI %ULTRADIR%\MIDI\a_bridge -x22
@if errorlevel 99 goto done
@ECHO Loading "Swing Cafe"
@ECHO Press any key to advance to next song, or CTRL+C to exit.
PLAYMIDI %ULTRADIR%\MIDI\SWNGCAFE
@if errorlevel 99 goto done
@ECHO Loading "Latin Dance"
@ECHO Press any key to advance to next song, or CTRL+C to exit.
PLAYMIDI %ULTRADIR%\MIDI\latindnc
@if errorlevel 99 goto done
@ECHO Loading "Beethoven's 5th Symphony"
@ECHO Press any key to advance to next song, or CTRL+C to exit.
PLAYMIDI %ULTRADIR%\MIDI\BEETHVN5.MID
@if errorlevel 99 goto done
:done
@ECHO Thank you for choosing UltraSound

